Get externally signed account data by address
curl --request GET \
--url https://developer-api.squads.so/api/v1/passkeys/externally-signed-account/{externally_signed_account_address} \
--header 'Authorization: Bearer <token>' \
--header 'x-squads-network: <x-squads-network>'import requests
url = "https://developer-api.squads.so/api/v1/passkeys/externally-signed-account/{externally_signed_account_address}"
headers = {
"x-squads-network": "<x-squads-network>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-squads-network': '<x-squads-network>', Authorization: 'Bearer <token>'}
};
fetch('https://developer-api.squads.so/api/v1/passkeys/externally-signed-account/{externally_signed_account_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"relyingPartyId": "<string>",
"pubkey": "<string>",
"sessionKey": {
"key": "<string>",
"expiration": 123
}
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"metadata": {
"status": 123,
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_id": "<string>",
"useful_links": [
"<string>"
]
},
"custom": {},
"simulation_logs": [
"<string>"
]
}{
"status": 123,
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"metadata": {
"status": 123,
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_id": "<string>",
"useful_links": [
"<string>"
]
},
"custom": {},
"simulation_logs": [
"<string>"
]
}Advanced - Custom UI
Get Externally Signed Account Data
Retrieve detailed information about an externally signed account by its address
GET
/
api
/
v1
/
passkeys
/
externally-signed-account
/
{externally_signed_account_address}
Get externally signed account data by address
Retrieves detailed information about an externally signed account by its address. This is an advanced endpoint for companies that need to host passkey flows on their own domain.
For most applications, use the hosted UI approach instead.
Key Notes
- Custom Domain: Use this endpoint when hosting passkey flows on your own domain
- Account Lookup: Retrieve account details using the Solana public key address
- Read-Only: This operation doesn’t modify account state
Authorizations
UUID-based API key provided by Squads
Headers
Specifies the network for the API request
Available options:
mainnet, devnet Path Parameters
The Solana public key address of the externally signed account
Was this page helpful?
⌘I